package com.repair.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/11 星期二 10:21
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eIsTop {
    UnTop(0),//未置顶
    Top(1),//置顶
    All(2);//全部


    private int value;

    eIsTop(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eIsTop valueOf(int value) {
        switch (value) {
            case 0:
                return eIsTop.UnTop;
            case 1:
                return eIsTop.Top;
            case 2:
                return eIsTop.All;
            default:
                return null;
        }
    }
}
